Index: branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOPurchaseOrder.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOPurchaseOrder.cs	(revision 50)
+++ branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOPurchaseOrder.cs	(revision 51)
@@ -6,7 +6,7 @@
 using System.Collections;
 
 using log4net;
-using MySql.Data.MySqlClient;
+using MySql.Data.MySqlClient;           // Data Provider for MySql
 
 using ProcessManagement.DB.MySql;
 using ProcessManagement.DB.Core;
@@ -31,7 +31,7 @@
         /// <summary>
         /// 注文書データフィールド並び
         /// </summary>
-        public enum PurchaseOrderColumn
+        public enum TableColumn
         {
             ConstructionCode = 0,	    // 工事番号
             SeqNo,                      // 注文書枝番
@@ -90,9 +90,9 @@
             strcmd += " ConstructionCode";                                  // 工事番号
             strcmd += ",SeqNo";                                             // 注文書枝番
             strcmd += ",CompanyCode";                                       // 協力会社コード
-            strcmd += ",DATE_FORMAT(CreateDate, '%Y/%m/%d')";                   // 作成日付
+            strcmd += ",DATE_FORMAT(CreateDate, '%Y/%m/%d')";                 // 作成日付
             strcmd += ",OrderPrice";                                        // 発注金額
-            strcmd += ",DATE_FORMAT(LastRowStringDate, '%Y/%m/%d')";            // 最終行表示文字
+            strcmd += ",DATE_FORMAT(LastRowStringDate, '%Y/%m/%d')";          // 最終行表示文字
 
             strcmd += ",OrderSheetType";                                    // 簡易・本式フラグ
             strcmd += ",PaymentTerms";                                      // 支払い条件
@@ -115,7 +115,7 @@
             strcmd += ",SafetyOfficerCode";                                 // 安全管理者コード
             strcmd += ",SafetyOfficerName";                                 // 安全管理者名
             strcmd += ",WorkersCount";                                      // 作業員数
-            strcmd += ",DATE_FORMAT(PrintoutDate, '%Y/%m/%d')";                 // 印刷年月日
+            strcmd += ",DATE_FORMAT(PrintoutDate, '%Y/%m/%d')";               // 印刷年月日
 
             strcmd += ", DATE_FORMAT(EntryDate, '%Y/%m/%d %H:%i:%s')";
             strcmd += ", DATE_FORMAT(UpdateDate, '%Y/%m/%d %H:%i:%s')";
@@ -218,7 +218,41 @@
             {
 
                 strcmd = "INSERT INTO PurchaseOrder";
+                strcmd += " (";
+                strcmd += " ConstructionCode";                                  // 工事番号
+                strcmd += ",SeqNo";                                             // 注文書枝番
+                strcmd += ",CompanyCode";                                       // 協力会社コード
+                strcmd += ",CreateDate";                                        // 作成日付
+                strcmd += ",OrderPrice";                                        // 発注金額
+                strcmd += ",LastRowStringDate";                                 // 最終行表示文字
 
+                strcmd += ",OrderSheetType";                                    // 簡易・本式フラグ
+                strcmd += ",PaymentTerms";                                      // 支払い条件
+                strcmd += ",CashRatio";                                         // 現金割合（％）
+                strcmd += ",BillPeriod";                                        // 手形期間
+
+                strcmd += ",PrePayments";                                       // 前金払
+                strcmd += ",PrePaymentsDays";                                   // 前金払日数
+                strcmd += ",PrePaymentsPrice";                                  // 前金払金額
+                strcmd += ",PartialPayment";                                    // 部分払
+                strcmd += ",PartialPaymentMounth";                              // 部分払締切月
+                strcmd += ",PartialPaymentDay1";                                // 部分払締切日
+                strcmd += ",PartialPaymentDay2";                                // 部分払支払日
+                strcmd += ",PartialPaymentPrice";                               // 部分払金額
+                strcmd += ",CompletionPayment";                                 // 引渡し時の支払
+                strcmd += ",CompletionPaymentDays";                             // 引渡し時の支払日数
+                strcmd += ",CompletionPaymentPrice";                            // 引渡し時の支払金額
+                strcmd += ",LeadEngineerCode";                                  // 主任技術者コード
+                strcmd += ",LeadEngineerName";                                  // 主任技術者名
+                strcmd += ",SafetyOfficerCode";                                 // 安全管理者コード
+                strcmd += ",SafetyOfficerName";                                 // 安全管理者名
+                strcmd += ",WorkersCount";                                      // 作業員数
+                strcmd += ",PrintoutDate";                                      // 印刷年月日
+
+                strcmd += ",EntryDate";
+                strcmd += ",UpdateDate";
+                strcmd += ")";
+
                 strcmd += " VALUES (";
 
                 strcmd += string.Format(" {0}", work.ConstructionCode);                     // 工事番号
@@ -225,10 +259,10 @@
                 strcmd += string.Format(",{0}", work.SeqNo);                                // 注文書枝番
 
                 strcmd += string.Format(",{0}", work.CompanyCode);                          // 協力会社コード
-                strcmd += string.Format(",DATE_FORMAT('{0}','%Y/%m/%d')",
+                strcmd += string.Format(",STR_TO_DATE('{0}','%Y/%m/%d')",
                                                 work.CreateDate.ToShortDateString());       // 作成日付
                 strcmd += string.Format(",{0}", work.OrderPrice);                           // 発注金額
-                strcmd += string.Format(",DATE_FORMAT('{0}','%Y/%m/%d')",
+                strcmd += string.Format(",STR_TO_DATE('{0}','%Y/%m/%d')",
                                                 work.LastRowStringDate.ToShortDateString());// 最終行表示日付
 
                 strcmd += string.Format(",{0}", work.OrderSheetType);                       // 簡易・本式フラグ
@@ -252,12 +286,12 @@
                 strcmd += string.Format(",{0}", work.SafetyOfficerCode);                    // 安全管理者コード
                 strcmd += string.Format(",'{0}'", work.SafetyOfficerName);                  // 安全管理者名
                 strcmd += string.Format(",{0}", work.WorkersCount);                         // 作業員数
-                strcmd += string.Format(",DATE_FORMAT('{0}','%Y/%m/%d')",
+                strcmd += string.Format(",STR_TO_DATE('{0}','%Y/%m/%d')",
                                                 work.PrintoutDate.ToShortDateString());     // 印刷年月日
 
 
-                strcmd += ", DATE_FORMAT(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
-                strcmd += ", DATE_FORMAT(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+                strcmd += ", STR_TO_DATE(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%'),'%Y/%m/%d %H:%i:%s')";
+                strcmd += ", STR_TO_DATEE(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%'),'%Y/%m/%d %H:%i:%s')";
                 strcmd = strcmd + ")";
 
                 if (!ExecuteNonQuery(strcmd, bConnect)) return false;
@@ -318,10 +352,10 @@
                 strcmd += string.Format(",SeqNo = {0}", data.SeqNo);                                            // 注文書枝番
                 strcmd += string.Format(",CompanyCode = {0}", data.CompanyCode);                                // 協力会社コード
 
-                strcmd += string.Format(",CreateDate = DATE_FORMAT('{0}','%Y/%m/%d')",
+                strcmd += string.Format(",CreateDate = STR_TO_DATE('{0}','%Y/%m/%d')",
                                                                     data.CreateDate.ToShortDateString());       // 作成日付
                 strcmd += string.Format(",OrderPrice = {0}", data.OrderPrice);                                  // 発注金額
-                strcmd += string.Format(",LastRowStringDate = DATE_FORMAT('{0}','%Y/%m/%d')",
+                strcmd += string.Format(",LastRowStringDate = STR_TO_DATE('{0}','%Y/%m/%d')",
                                                                     data.LastRowStringDate.ToShortDateString());// 最終行表示日付
 
 
@@ -348,10 +382,10 @@
                 strcmd += string.Format(",SafetyOfficerCode = {0}", data.SafetyOfficerCode);                    // 安全管理者コード
                 strcmd += string.Format(",SafetyOfficerName = '{0}'", data.SafetyOfficerName);                  // 安全管理者名
                 strcmd += string.Format(",WorkersCount = {0}", data.WorkersCount);                              // 作業員数
-                strcmd += string.Format(",PrintoutDate = DATE_FORMAT('{0}','%Y/%m/%d')",
+                strcmd += string.Format(",PrintoutDate = STR_TO_DATE('{0}','%Y/%m/%d')",
                                                                     data.PrintoutDate.ToShortDateString());     // 印刷年月日
-
-                strcmd += ", UpdateDate = DATE_FORMAT(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+                
+                strcmd += ", UpdateDate = STR_TO_DATE(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%'),'%Y/%m/%d %H:%i:%s')";
                 strcmd += AddSQLString;
 
                 if (!ExecuteNonQuery(strcmd, bConnect)) return false;
@@ -393,6 +427,119 @@
         }
         #endregion
 
+        #region 1項目更新処理
+        /// <summary>
+        /// 1項目の更新を行う
+        /// </summary>
+        /// <returns></returns>
+        public bool UpdateFeild(int ConstructionCode, int FeildNo, object value, bool bConnect = true, int SeqNo = 0)
+        {
+            string strcmd = "";
+            try
+            {
+                strcmd = "UPDATE PurchaseOrder";
+
+                strcmd += " SET";
+                switch (FeildNo)
+                {
+                    case (int)TableColumn.ConstructionCode:	        // 工事番号
+                        strcmd += string.Format(" ConstructionCode = {0}", ((int)value).ToString());
+                        break;
+                    case (int)TableColumn.SeqNo:                    // 注文書枝番
+                        strcmd += string.Format(" SeqNo = {0}", ((int)value).ToString());
+                        break;
+                    case (int)TableColumn.CompanyCode:              // 協力会社コード
+                        strcmd += string.Format(" CompanyCode = {0}", ((int)value).ToString());
+                        break;
+                    case (int)TableColumn.CreateDate:               // 作成日付
+                        strcmd += string.Format(" CreateDate = STR_TO_DATE('{0}','%Y/%m/%d')", ((DateTime)value).ToShortDateString());
+                        break;
+                    case (int)TableColumn.OrderPrice:               // 発注金額
+                        strcmd += string.Format(" OrderPrice = {0}", ((double)value).ToString());
+                        break;
+                    case (int)TableColumn.LastRowStringDate:        // 最終行表示日付
+                        strcmd += string.Format(" LastRowStringDate = STR_TO_DATE('{0}','%Y/%m/%d')", ((DateTime)value).ToShortDateString());
+                        break;
+                    case (int)TableColumn.OrderSheetType:           // 簡易・本式フラグ
+                        strcmd += string.Format(" OrderSheetType = {0}", ((int)value).ToString());
+                        break;
+                    case (int)TableColumn.PaymentTerms:             // 支払い条件
+                        strcmd += string.Format(" PaymentTerms = {0}", ((int)value).ToString());
+                        break;
+                    case (int)TableColumn.CashRatio:                // 現金割合（％）
+                        strcmd += string.Format(" CashRatio = {0}", ((double)value).ToString());
+                        break;
+                    case (int)TableColumn.BillPeriod:               // 手形期間
+                        strcmd += string.Format(" BillPeriod = {0}", ((int)value).ToString());
+                        break;
+                    case (int)TableColumn.PrePayments:              // 前金払
+                        strcmd += string.Format(" PrePayments = {0}", ((int)value).ToString());
+                        break;
+                    case (int)TableColumn.PrePaymentsDays:          // 前金払日数
+                        strcmd += string.Format(" PrePaymentsDays = {0}", ((int)value).ToString());
+                        break;
+                    case (int)TableColumn.PrePaymentsPrice:         // 前金払金額
+                        strcmd += string.Format(" PrePaymentsPrice = {0}", ((double)value).ToString());
+                        break;
+                    case (int)TableColumn.PartialPayment:           // 部分払
+                        strcmd += string.Format(" PartialPayment = {0}", ((int)value).ToString());
+                        break;
+                    case (int)TableColumn.PartialPaymentMounth:     // 部分払締切月
+                        strcmd += string.Format(" PartialPaymentMounth = {0}", ((int)value).ToString());
+                        break;
+                    case (int)TableColumn.PartialPaymentDay1:       // 部分払締切日
+                        strcmd += string.Format(" PartialPaymentDay1 = {0}", ((int)value).ToString());
+                        break;
+                    case (int)TableColumn.PartialPaymentDay2:       // 部分払支払日
+                        strcmd += string.Format(" PartialPaymentDay2 = {0}", ((int)value).ToString());
+                        break;
+                    case (int)TableColumn.PartialPaymentPrice:      // 部分払金額
+                        strcmd += string.Format(" PartialPaymentPrice = {0}", ((double)value).ToString());
+                        break;
+                    case (int)TableColumn.CompletionPayment:        // 引渡し時の支払
+                        strcmd += string.Format(" CompletionPayment = {0}", ((int)value).ToString());
+                        break;
+                    case (int)TableColumn.CompletionPaymentDays:    // 引渡し時の支払日数
+                        strcmd += string.Format(" CompletionPaymentDays = {0}", ((int)value).ToString());
+                        break;
+                    case (int)TableColumn.CompletionPaymentPrice:   // 引渡し時の支払金額
+                        strcmd += string.Format(" CompletionPaymentPrice = {0}", ((double)value).ToString());
+                        break;
+                    case (int)TableColumn.LeadEngineerCode:         // 主任技術者コード
+                        strcmd += string.Format(" LeadEngineerCode = {0}", ((int)value).ToString());
+                        break;
+                    case (int)TableColumn.LeadEngineerName:         // 主任技術者名
+                        strcmd += string.Format(" LeadEngineerName = '{0}'", value.ToString());
+                        break;
+                    case (int)TableColumn.SafetyOfficerCode:        // 安全管理者コード
+                        strcmd += string.Format(" SafetyOfficerCode = {0}", ((int)value).ToString());
+                        break;
+                    case (int)TableColumn.SafetyOfficerName:        // 安全管理者名
+                        strcmd += string.Format(" SafetyOfficerName = '{0}'", value.ToString());
+                        break;
+                    case (int)TableColumn.WorkersCount:             // 作業員数
+                        strcmd += string.Format(" WorkersCount = {0}", ((int)value).ToString());
+                        break;
+                    case (int)TableColumn.PrintoutDate:             // 印刷年月日
+                        strcmd += string.Format(" PrintoutDate = STR_TO_DATE('{0}','%Y/%m/%d')", ((DateTime)value).ToShortDateString());
+                        break;
+                }
+
+                strcmd += ", UpdateDate = STR_TO_DATE(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%'),'%Y/%m/%d %H:%i:%s')";
+                strcmd += CreatePrimarykeyString(ConstructionCode, SeqNo);
+
+                if (!ExecuteNonQuery(strcmd, bConnect)) return false;
+
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                return false;
+            }
+        }
+        #endregion
+
         #region OracleDataReaderより構造体へセットする
         /// <summary>
         /// OracleDataReaderより構造体へセットする
@@ -404,42 +551,39 @@
             try
             {
                 // データ取得
-                wrk.ConstructionCode = int.Parse(objwrk[(int)PurchaseOrderColumn.ConstructionCode].ToString());	            // 工事番号
-                wrk.SeqNo = int.Parse(objwrk[(int)PurchaseOrderColumn.SeqNo].ToString());	                                // 注文書枝番
-                wrk.CompanyCode = int.Parse(objwrk[(int)PurchaseOrderColumn.CompanyCode].ToString());                       // 協力会社コード
+                wrk.ConstructionCode = int.Parse(objwrk[(int)TableColumn.ConstructionCode].ToString());	            // 工事番号
+                wrk.SeqNo = int.Parse(objwrk[(int)TableColumn.SeqNo].ToString());	                                // 注文書枝番
+                wrk.CompanyCode = int.Parse(objwrk[(int)TableColumn.CompanyCode].ToString());                       // 協力会社コード
 
-                wrk.CreateDate = DateTime.Parse(objwrk[(int)PurchaseOrderColumn.CreateDate].ToString());	                // 作成日付
-                wrk.OrderPrice = double.Parse(objwrk[(int)PurchaseOrderColumn.OrderPrice].ToString());	                    // 発注金額
-                wrk.LastRowStringDate = DateTime.Parse(objwrk[(int)PurchaseOrderColumn.LastRowStringDate].ToString());      // 最終行表示文字
-                wrk.OrderSheetType = int.Parse(objwrk[(int)PurchaseOrderColumn.OrderSheetType].ToString());	                // 簡易・本式フラグ
-                wrk.PaymentTerms = int.Parse(objwrk[(int)PurchaseOrderColumn.PaymentTerms].ToString());	                    // 支払い条件
-                wrk.CashRatio = double.Parse(objwrk[(int)PurchaseOrderColumn.CashRatio].ToString());	                    // 現金割合（％）
-                wrk.BillPeriod = int.Parse(objwrk[(int)PurchaseOrderColumn.BillPeriod].ToString());	                        // 手形期間
+                wrk.CreateDate = DateTime.Parse(objwrk[(int)TableColumn.CreateDate].ToString());	                // 作成日付
+                wrk.OrderPrice = double.Parse(objwrk[(int)TableColumn.OrderPrice].ToString());	                    // 発注金額
+                wrk.LastRowStringDate = DateTime.Parse(objwrk[(int)TableColumn.LastRowStringDate].ToString());      // 最終行表示文字
+                wrk.OrderSheetType = int.Parse(objwrk[(int)TableColumn.OrderSheetType].ToString());	                // 簡易・本式フラグ
+                wrk.PaymentTerms = int.Parse(objwrk[(int)TableColumn.PaymentTerms].ToString());	                    // 支払い条件
+                wrk.CashRatio = double.Parse(objwrk[(int)TableColumn.CashRatio].ToString());	                    // 現金割合（％）
+                wrk.BillPeriod = int.Parse(objwrk[(int)TableColumn.BillPeriod].ToString());	                        // 手形期間
 
-                wrk.PrePayments = int.Parse(objwrk[(int)PurchaseOrderColumn.PrePayments].ToString());                       // 前金払
-                wrk.PrePaymentsDays = int.Parse(objwrk[(int)PurchaseOrderColumn.PrePaymentsDays].ToString());               // 前金払日数
-                //wrk.PrePaymentsPrice = int.Parse(objwrk[(int)PurchaseOrderColumn.PrePaymentsPrice].ToString());             // 前金払金額
-                wrk.PrePaymentsPrice = double.Parse(objwrk[(int)PurchaseOrderColumn.PrePaymentsPrice].ToString());             // 前金払金額
-                wrk.PartialPayment = int.Parse(objwrk[(int)PurchaseOrderColumn.PartialPayment].ToString());                 // 部分払
-                wrk.PartialPaymentMounth = int.Parse(objwrk[(int)PurchaseOrderColumn.PartialPaymentMounth].ToString());     // 部分払締切月
-                wrk.PartialPaymentDay1 = int.Parse(objwrk[(int)PurchaseOrderColumn.PartialPaymentDay1].ToString());         // 部分払締切日
-                wrk.PartialPaymentDay2 = int.Parse(objwrk[(int)PurchaseOrderColumn.PartialPaymentDay2].ToString());         // 部分払支払日
-                //wrk.PartialPaymentPrice = int.Parse(objwrk[(int)PurchaseOrderColumn.PartialPaymentPrice].ToString());       // 部分払金額
-                wrk.PartialPaymentPrice = double.Parse(objwrk[(int)PurchaseOrderColumn.PartialPaymentPrice].ToString());       // 部分払金額
-                wrk.CompletionPayment = int.Parse(objwrk[(int)PurchaseOrderColumn.CompletionPayment].ToString());           // 引渡し時の支払
-                wrk.CompletionPaymentDays = int.Parse(objwrk[(int)PurchaseOrderColumn.CompletionPaymentDays].ToString());   // 引渡し時の支払日数
-                //wrk.CompletionPaymentPrice = int.Parse(objwrk[(int)PurchaseOrderColumn.CompletionPaymentPrice].ToString()); // 引渡し時の支払金額
-                wrk.CompletionPaymentPrice = double.Parse(objwrk[(int)PurchaseOrderColumn.CompletionPaymentPrice].ToString()); // 引渡し時の支払金額
+                wrk.PrePayments = int.Parse(objwrk[(int)TableColumn.PrePayments].ToString());                       // 前金払
+                wrk.PrePaymentsDays = int.Parse(objwrk[(int)TableColumn.PrePaymentsDays].ToString());               // 前金払日数
+                wrk.PrePaymentsPrice = int.Parse(objwrk[(int)TableColumn.PrePaymentsPrice].ToString());             // 前金払金額
+                wrk.PartialPayment = int.Parse(objwrk[(int)TableColumn.PartialPayment].ToString());                 // 部分払
+                wrk.PartialPaymentMounth = int.Parse(objwrk[(int)TableColumn.PartialPaymentMounth].ToString());     // 部分払締切月
+                wrk.PartialPaymentDay1 = int.Parse(objwrk[(int)TableColumn.PartialPaymentDay1].ToString());         // 部分払締切日
+                wrk.PartialPaymentDay2 = int.Parse(objwrk[(int)TableColumn.PartialPaymentDay2].ToString());         // 部分払支払日
+                wrk.PartialPaymentPrice = int.Parse(objwrk[(int)TableColumn.PartialPaymentPrice].ToString());       // 部分払金額
+                wrk.CompletionPayment = int.Parse(objwrk[(int)TableColumn.CompletionPayment].ToString());           // 引渡し時の支払
+                wrk.CompletionPaymentDays = int.Parse(objwrk[(int)TableColumn.CompletionPaymentDays].ToString());   // 引渡し時の支払日数
+                wrk.CompletionPaymentPrice = int.Parse(objwrk[(int)TableColumn.CompletionPaymentPrice].ToString()); // 引渡し時の支払金額
 
-                wrk.LeadEngineerCode = int.Parse(objwrk[(int)PurchaseOrderColumn.LeadEngineerCode].ToString());             // 主任技術者コード
-                wrk.LeadEngineerName = objwrk[(int)PurchaseOrderColumn.LeadEngineerName].ToString();                        // 主任技術者名
-                wrk.SafetyOfficerCode = int.Parse(objwrk[(int)PurchaseOrderColumn.SafetyOfficerCode].ToString());           // 安全管理者コード
-                wrk.SafetyOfficerName = objwrk[(int)PurchaseOrderColumn.SafetyOfficerName].ToString();                      // 安全管理者名
-                wrk.WorkersCount = int.Parse(objwrk[(int)PurchaseOrderColumn.WorkersCount].ToString());                     // 作業員数
-                wrk.PrintoutDate = DateTime.Parse(objwrk[(int)PurchaseOrderColumn.PrintoutDate].ToString());                // 印刷年月日
+                wrk.LeadEngineerCode = int.Parse(objwrk[(int)TableColumn.LeadEngineerCode].ToString());             // 主任技術者コード
+                wrk.LeadEngineerName = objwrk[(int)TableColumn.LeadEngineerName].ToString();                        // 主任技術者名
+                wrk.SafetyOfficerCode = int.Parse(objwrk[(int)TableColumn.SafetyOfficerCode].ToString());           // 安全管理者コード
+                wrk.SafetyOfficerName = objwrk[(int)TableColumn.SafetyOfficerName].ToString();                      // 安全管理者名
+                wrk.WorkersCount = int.Parse(objwrk[(int)TableColumn.WorkersCount].ToString());                     // 作業員数
+                wrk.PrintoutDate = DateTime.Parse(objwrk[(int)TableColumn.PrintoutDate].ToString());                // 印刷年月日
 
-                wrk.EntryDate = DateTime.Parse(objwrk[(int)PurchaseOrderColumn.EntryDate].ToString());
-                wrk.UpdateDate = DateTime.Parse(objwrk[(int)PurchaseOrderColumn.UpdateDate].ToString());
+                wrk.EntryDate = DateTime.Parse(objwrk[(int)TableColumn.EntryDate].ToString());
+                wrk.UpdateDate = DateTime.Parse(objwrk[(int)TableColumn.UpdateDate].ToString());
             }
             catch (MySqlException myex)
             {
@@ -456,10 +600,6 @@
         /// <summary>
         /// 主キー検索の文字列を返す
         /// </summary>
-        /// <param name="ComponentCode"></param>
-        /// <param name="PageCount"></param>
-        /// <param name="LineCount"></param>
-        /// <returns></returns>
         public string CreatePrimarykeyString(int ConstructionCode, int SeqNo = 0)
         {
             string strWork = "";
@@ -485,7 +625,7 @@
         /// <param name="AddSQLString"></param>
         /// <param name="bConnect"></param>
         /// <returns></returns>
-        public int SelectMaxConstructionCodeCount(string AddSQLString, bool bConnect = true)
+        public int SelectMaxSeqNoCount(string AddSQLString, bool bConnect = true)
         {
             //Oracle インターフェース
             string strcmd = "";
